
## Fixes

- Fixed backtest file lock race issue when running multiple back-test processes by the optimizer.
- Fixed optimizer limitation.
- Fixed backtest final asset calculation.
- Fixed exit method stop market data subscription.

## Improvements and Refactoring

- Refactored and cleaned up indicators.
- Added risk related functions for futures and margin.
- Prepare database before executing backtest.

## Strategies

- autoborrow: fixed repay amount calculation.
- pivotshort: updated pivot low on stream start.
- pivotshort: added leverage settings.
- pivotshort: improved quantity calculation.
- pivotshort: fixed resistance order placement.
- supertrend: fixed double dema initialization.
- supertrend: fixed types.TradeStats usage.


[Full Changelog](https://github.com/c9s/bbgo/compare/v1.36.0...main)

 - [#830](https://github.com/c9s/bbgo/pull/830): backtest: resolve data race on index.json
 - [#829](https://github.com/c9s/bbgo/pull/829): optimizer: eliminate limitation of number of grid point
 - [#827](https://github.com/c9s/bbgo/pull/827): strategy/pivotshort: improve quantity calculation for margin and futures
 - [#824](https://github.com/c9s/bbgo/pull/824): refactor: indicator: rewrite VWMA calculator
 - [#823](https://github.com/c9s/bbgo/pull/823): refactor: refactor bollinger band indicator with the new series extend component
 - [#821](https://github.com/c9s/bbgo/pull/821): refactor: refactor indicator api (canonicalize CalculateAndUpdate, PushK methods)
 - [#820](https://github.com/c9s/bbgo/pull/820): feature: add risk functions
 - [#818](https://github.com/c9s/bbgo/pull/818): backtest: correct final asset calculation
 - [#817](https://github.com/c9s/bbgo/pull/817): optimizer: prepare database before executing backtests
